Skip Menu |
 

This queue is for tickets about the svk CPAN distribution.

Report information
The Basics
Id: 28436
Status: resolved
Priority: 0/
Queue: svk

People
Owner: Nobody in particular
Requestors: bneppert [...] gmx.de
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Installation problem with cygwin
Date: Mon, 23 Jul 2007 19:38:40 +0200
To: bug-svk [...] rt.cpan.org
From: Burkhard Neppert <bneppert [...] gmx.de>
Download (untitled) / with headers
text/plain 3.3k
Hello, I cannot install svk on Windows XP with cygwin. I have nearly no perl experience so I'm afraid my error report may lack the crucial facts. Regards Burkhard Neppert What I did was perl -MCPAN -e "install SVK" The problem seems to be that installation of PerlIO::via::dynamic fails. Show quoted text
> cd ~/.cpan/build/PerlIO-via-dynamic-0.12/ > perl Makefile.PL
Checking if your kit is complete... Looks good Can't locate object method "_top" via package "PACK001" at inc/Module/Install/Base.pm - /Library/Perl/5.8.6/Module/Install/Base.pm line 51. My installed perl version Show quoted text
> perl -V
Summary of my perl5 (revision 5 version 8 subversion 8) configuration: Platform: osname=cygwin, osvers=1.5.24(0.15642), archname=cygwin-thread-multi-64int uname='cygwin_nt-5.1 reini 1.5.24(0.15642) 2007-01-31 10:57 i686 cygwin ' config_args='-de -Dmksymlinks -Duse64bitint -Dusethreads -Uusemymalloc -Dopt imize=-O3 -Dman3ext=3pm -Dusesitecustomize -Dusedevel' hint=recommended, useposix=true, d_sigaction=define usethreads=define use5005threads=undef useithreads=define usemultiplicity=de fine useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=define use64bitall=undef uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe -Wdecl aration-after-statement', optimize='-O3', cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe -Wdeclaration-af ter-statement' ccversion='', gccversion='3.4.4 (cygming special, gdc 0.12, using dmd 0.125) ', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lsee ksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='ld2', ldflags =' -s -L/usr/local/lib' libpth=/usr/local/lib /usr/lib /lib libs=-lgdbm -ldb -ldl -lcrypt -lgdbm_compat perllibs=-ldl -lcrypt -lgdbm_compat libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a gnulibc_version='' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s' cccdlflags=' ', lddlflags=' -s -L/usr/local/lib' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_USE_SAFE_PUTENV USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_REENTRANT_API USE_SITECUSTOMIZE Locally applied patches: CYG01 - hints.cygwin.sh ldflags -s CYG02 - lib-ExtUtils-Embed insensitive against leading \s CYG03 - lib-Test-Harness-Straps $ENV{PERL5LIB} = '' CYG04 - major.version.cygwin.sh cygperl-5_8.dll and not cygperl-5_8_x.dl l CYG05 - add Win32CORE to core CYG07 - File-Spec-Cygwin-TMPDIR.patch Bug#38628 - allow legacy Cwd->cwd() Bug#40103 - File-Spec-case_tolerant.patch from 5.9.5 Built under cygwin Compiled at Jul 8 2007 19:12:08 %ENV: CYGWIN="" @INC: /usr/lib/perl5/5.8/cygwin /usr/lib/perl5/5.8 /usr/lib/perl5/site_perl/5.8/cygwin /usr/lib/perl5/site_perl/5.8 /usr/lib/perl5/site_perl/5.8 /usr/lib/perl5/vendor_perl/5.8/cygwin /usr/lib/perl5/vendor_perl/5.8 /usr/lib/perl5/vendor_perl/5.8 .
not a svk installation problem (might be PerlIO-via-dynamic-0.12)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.